Package org.apache.tapestry5.http.services

## Enum Session.LockMode

- java.lang.Object
- - java.lang.Enum<Session.LockMode>
  - - org.apache.tapestry5.http.services.Session.LockMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Session.LockMode>`
  Enclosing interface:
    Session

      public static enum Session.LockMode
      extends java.lang.Enum<Session.LockMode>

  The type of lock used to access atttributes in the `Session`.

  The actual lock-type depends on if a lock is already held by the this thread.

  Since:
    5.9

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` | No lock is supposed to be acquired.
    `READ` | Acquire a shared read-lock.
    `WRITE` | Acquire an exclusive write-lock.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Session.LockMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Session.LockMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Session.LockMode NONE

      No lock is supposed to be acquired.

    - #### READ

          public static final Session.LockMode READ

      Acquire a shared read-lock.

    - #### WRITE

          public static final Session.LockMode WRITE

      Acquire an exclusive write-lock.

  - ### Method Detail

    - #### values

          public static Session.LockMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Session.LockMode c : Session.LockMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Session.LockMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null